// @import "src/@fuse/scss/fuse";

// stripe {
//     .form-wrapper{
//         font-size: 16px;
//         align-items: center;
//         form{
//             max-width: 850px;
//         }
//         .head-title{
//             text-align: center;
//             color: #66883b;
//         }
//         &.silage-form  .head-title{
//             color: #ff0000;
//         }
//         p {
//             margin-bottom: 30px;
//         }
//         .form-text{
//             margin: 20px 0 30px;
//         }
//         .paycard-bg {
//             background: #88cc3236;
//             padding: 35px 30px 30px 30px;
//             padding-bottom: 0;
//             border-radius: 5px;
//         }
//         button.mat-button-base:not([disabled]){
//             background-color: #66883b !important;
//             color: #fff !IMPORTANT;
//             cursor: pointer;
//         }
//         button.mat-button-base{
//             margin-bottom: 20px;
//         }
//        .head-title-sm {
//             text-align: center;
//             color: #66883b;
//             width: 100%;
//             margin: 10px 0 30px;
//             .title-sm-span{
//                 color: #00ffff;
//             }
//         }
//         &.silage-form  .head-title-sm{
//             color: #ff0000;
//         }
//         table {
//             border-left: 2px solid #66883b;
//             border-collapse: collapse;
//             border-bottom: 2px solid #66883b;
//         }
//         &.silage-form  table{
//             border-left-color: #ff0000;
//             border-bottom-color: #ff0000;
//         }
//         table thead > tr > th, table tbody > tr > td {
//             border-top: 2px solid #66883b;
//             text-align: center;
//             padding: 10px;
//             border-right: 2px solid #66883b;
//         }
//         &.silage-form  table thead > tr > th, &.silage-form  table thead > tr > td{
//             border-top-color:#ff0000;
//             border-right-color: #ff0000;
//         }
//         .footer-sec {
//             margin: 50px 0;
//             background-color: #f6f6f6;
//             text-align: center;
//             padding: 30px 0 30px 0px;
//             .footer-text {
//                 margin-bottom: 10px !important;
//             }
//             .footer-links a:not(:first-child):before {
//                 margin-right: 8px;
//                 border-right: 2px solid #66883b;
//                 content: "";
//                 display: inline-block;
//                 height: 15px;   
//                 vertical-align: middle;
//                 padding-left: 8px;
//             }
//         }      
//     }
//     #stripe {
//         width: 100%;
//         background: url('/assets/images/backgrounds/dark-material-bg.jpg') no-repeat;
//         background-size: cover;

//         #stripe-form-wrapper {
//             flex: 1 0 auto;
//             padding: 32px;

//             @include media-breakpoint('xs') {
//                 padding: 16px;
//             }

//             #stripe-form {
//                 width: 384px;
//                 max-width: 384px;
//                 padding: 32px;
//                 text-align: center;
//                 @include mat-elevation(16);

//                 @include media-breakpoint('xs') {
//                     padding: 24px;
//                     width: 100%;
//                 }

//                 .logo {
//                     width: 128px;
//                     margin: 32px auto;
//                 }

//                 .title {
//                     font-size: 20px;
//                     margin: 16px 0 32px 0;
//                 }

//                 form {
//                     width: 100%;
//                     text-align: left;

//                     mat-form-field {
//                         width: 100%;
//                     }

//                     .submit-button {
//                         width: 220px;
//                         margin: 16px auto;
//                         display: block;

//                         @include media-breakpoint('xs') {
//                             width: 90%;
//                         }
//                     }
//                 }

//                 .login {
//                     margin: 32px auto 24px auto;
//                     width: 250px;
//                     font-weight: 600;

//                     .text {
//                         margin-right: 8px;
//                     }
//                 }
//             }
//         }
//     }
// }

@import "src/@fuse/scss/fuse";

stripe {
    .top-bg.accent, .header.accent{
            background-color: #efefef !important;
    }
    .form-wrapper{
        font-size: 16px;
        align-items: center;
        form{
            max-width: 850px;
            @include media-breakpoint('xs') {
                & > div[fxlayout="row"]{
                    flex-direction: column !important;
                    & > * {
                        max-width: 100% !important;
                        width: 100%;
                    }
                }
            }
        }
        .head-title{
            text-align: center;
            color: #66883b;
            font-size: 28px;
            margin-bottom: 30px;
        }
        &.silage-form  .head-title{
            color: #ff0000;
        }
        p {
            margin-bottom: 30px;
            font-size: 18px;
        }
        .form-text{
            margin: 20px 0 30px;
        }
        .paycard-bg {
            background: #88cc3236;
            padding: 35px 30px 30px 30px;
            padding-bottom: 0;
            border-radius: 5px;
            background: #F5F5F7;
            box-shadow: 0 0 3px 2px #f5f5f7;
            margin-bottom: 30px;
            border: 1px solid #e6e5e5;
            width: 100%;
            .mat-form-field-appearance-outline .mat-form-field-outline {
                background: #fff;
                border-radius: 5px;
            }
            .mat-form-field-infix{
                width: auto;
            }
        }
        button.mat-button-base:not([disabled]){
            background-color: #66883b !important;
            color: #fff !IMPORTANT;
            cursor: pointer;
        }
        button.mat-button-base{
            margin-bottom: 20px;
            align-self: center;
        }
       .head-title-sm {
            text-align: center;
            color: #66883b;
            width: 100%;
            margin: 10px 0 30px;
            font-size: 20px;
            .title-sm-span{
                color: #039be5;
            }
        }
        &.silage-form  .head-title-sm{
            color: #ff0000;
        }
        .mat-form-field-subscript-wrapper {
            position: relative;
        }
        table {
            border-left: 2px solid #66883b;
            border-collapse: collapse;
            border-bottom: 2px solid #66883b;
        }
        &.silage-form  table{
            border-left-color: #ff0000;
            border-bottom-color: #ff0000;
        }
        table thead > tr > th, table tbody > tr > td {
            border-top: 2px solid #66883b;
            text-align: center;
            padding: 10px;
            border-right: 2px solid #66883b;
        }
        &.silage-form  table thead > tr > th, &.silage-form  table tbody > tr > td{
            border-top-color:#ff0000;
            border-right-color: #ff0000;
        } 
    }
    .footer-sec {
        margin: 0px 0;
        background-color: #f6f6f6;
        text-align: center;
        padding: 30px 0 30px 0px;
        .footer-text {
            margin-bottom: 10px !important;
        }
        .footer-links a:not(:first-child):before {
            margin-right: 8px;
            border-right: 2px solid #66883b;
            content: "";
            display: inline-block;
            height: 15px;   
            vertical-align: middle;
            padding-left: 8px;
        }
    }
    #stripe {
        width: 100%;
        background: url('/assets/images/backgrounds/dark-material-bg.jpg') no-repeat;
        background-size: cover;

        #stripe-form-wrapper {
            flex: 1 0 auto;
            padding: 32px;

            @include media-breakpoint('xs') {
                padding: 16px;
            }

            #stripe-form {
                width: 384px;
                max-width: 384px;
                padding: 32px;
                text-align: center;
                @include mat-elevation(16);

                @include media-breakpoint('xs') {
                    padding: 24px;
                    width: 100%;
                }

                .logo {
                    width: 128px;
                    margin: 32px auto;
                }

                .title {
                    font-size: 20px;
                    margin: 16px 0 32px 0;
                }

                form {
                    width: 100%;
                    text-align: left;

                    mat-form-field {
                        width: 100%;
                    }

                    .submit-button {
                        width: 220px;
                        margin: 16px auto;
                        display: block;

                        @include media-breakpoint('xs') {
                            width: 90%;
                        }
                    }
                }

                .login {
                    margin: 32px auto 24px auto;
                    width: 250px;
                    font-weight: 600;

                    .text {
                        margin-right: 8px;
                    }
                }
            }
        }
    }
}